> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the executions of a trigger



## OpenAPI

````yaml /openapi.json get /triggers/{id}/executions
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /triggers/{id}/executions:
    get:
      tags:
        - Triggers
      summary: Get the executions of a trigger
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the trigger
          required: true
      responses:
        '200':
          description: The executions of the trigger
          content:
            application/json:
              schema:
                type: object
                properties:
                  executions:
                    type: array
                    items:
                      $ref: '#/components/schemas/TriggerExecution'
                    description: The executions of the trigger
                required:
                  - executions
components:
  schemas:
    TriggerExecution:
      type: object
      properties:
        id:
          type: string
          description: The ID of the trigger execution
        customer:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/Customer'
          description: The customer executing through the trigger
        scheduled_at:
          type: string
          nullable: true
          description: The scheduled time for the next step of the trigger execution
        step_count:
          type: integer
          description: The index of the next step of the trigger to execute
        current_step_id:
          type: string
          nullable: true
          description: The ID of the current step
        status:
          type: string
          enum:
            - pending
            - in_progress
            - retrying
            - finished
            - failed
            - stopped
          description: The status of the execution
        failed_at:
          type: string
          nullable: true
          description: The time when the execution failed
        failed_reason:
          type: string
          nullable: true
          description: The reason for failure
        finished_at:
          type: string
          nullable: true
          description: The time when the execution finished
        finished_reason:
          type: string
          nullable: true
          description: The reason for finishing
        stopped_at:
          type: string
          nullable: true
          description: The time when the execution was stopped
        started_at:
          type: string
          nullable: true
          description: The time when the execution started processing in ISO 8601 format
        created_at:
          type: string
          description: >-
            The time the execution was created — i.e. when the customer was
            enrolled in the trigger — in ISO 8601 format
      required:
        - id
        - customer
        - scheduled_at
        - step_count
        - current_step_id
        - status
        - failed_at
        - failed_reason
        - finished_at
        - finished_reason
        - stopped_at
        - started_at
        - created_at
      title: The Trigger Execution object
    Customer:
      type: object
      properties:
        id:
          type: string
          description: The ID of the customer
        external_id:
          type: string
          nullable: true
          description: The external ID of the customer
        email_address:
          type: string
          nullable: true
          description: The email address of the customer
        phone_number:
          type: string
          nullable: true
          description: The phone number of the customer
        full_name:
          type: string
          nullable: true
          description: The full name of the customer
        metadata:
          type: object
          additionalProperties: true
          description: The metadata associated with this customer
        unsubscribed:
          type: string
          enum:
            - future
            - campaign
          nullable: true
          description: The unsubscribe status of the customer
      required:
        - id
        - external_id
        - email_address
        - phone_number
        - full_name
        - metadata
        - unsubscribed
      title: The Customer object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````